%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname aws-sdk
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary:        AWS SDK for Ruby
Name:           rubygem-%{gemname}
Version:        1.1.1
Release:        1%{?dist}
Group:          Development/Languages
License:        ASL 2.0
URL:            http://aws.amazon.com/sdkforruby/
Source0:        http://rubygems.org/gems/%{gemname}-%{version}.gem

# Removes hard version requirements for nokogiri gem
Patch0:         %{gemname}-%{version}-gemspec.patch

Requires:       ruby(abi) = %{rubyabi}
Requires:       rubygems
Requires:       rubygem(httparty)
Requires:       rubygem(json)
Requires:       rubygem(nokogiri)
Requires:       rubygem(uuidtools)

BuildRequires:  rubygems

BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
Build Ruby applications with the aws-sdk gem that takes the complexity
out of coding directly against the web service interfaces. The gem handles
common tasks, such as authentication, request retries, XML processing,
error handling, and more.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} \
            --force --rdoc %{SOURCE0}

pushd .%{gemdir}/specifications
%patch0
popd

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/lib
%{geminstdir}/rails
%{geminstdir}/ca-bundle.crt
%doc %{geminstdir}/README.rdoc
%doc %{geminstdir}/LICENSE.txt
%doc %{geminstdir}/NOTICE.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-, root, root, -)
%doc %{geminstdir}/.yardopts
%doc %{geminstdir}/LICENSE.txt
%{gemdir}/doc/%{gemname}-%{version}

%changelog
* Tue Aug 23 2011 Marek Goldmann <mgoldman@redhat.com> - 1.1.1-1
- Upstream release 1.1.1

* Fri Aug 05 2011 Marek Goldmann <mgoldman@redhat.com> - 1.0.4-1
- Upstream release 1.0.4

* Tue Jul 26 2011 Marek Goldmann <mgoldman@redhat.com> - 1.0.2-1
- Upstream release 1.0.2

* Tue Jul 19 2011 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-1
- Initial package

